View Issue Details

IDProjectCategoryView StatusLast Update
0031194FPCPackagespublic2017-01-28 17:24
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031194: fcl-passrc fails to parse function aliases
Descriptionhttp://www.freepascal.org/docs-html/ref/refsu71.html

fail on this:

function xxx: Boolean; alias : 'yyy';
begin
end;
TagsNo tags attached.
Fixed in Revision35346
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-01-28 13:51

administrator   ~0097760

Fixed, thanks for reporting!

Andrey Zubarev

2017-01-28 17:24

reporter   ~0097768

Thanks!

Issue History

Date Modified Username Field Change
2017-01-05 23:43 Andrey Zubarev New Issue
2017-01-06 08:50 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-01-06 08:50 Michael Van Canneyt Status new => assigned
2017-01-28 13:51 Michael Van Canneyt Fixed in Revision => 35346
2017-01-28 13:51 Michael Van Canneyt Note Added: 0097760
2017-01-28 13:51 Michael Van Canneyt Status assigned => resolved
2017-01-28 13:51 Michael Van Canneyt Fixed in Version => 3.1.1
2017-01-28 13:51 Michael Van Canneyt Resolution open => fixed
2017-01-28 13:51 Michael Van Canneyt Target Version => 3.2.0
2017-01-28 17:24 Andrey Zubarev Note Added: 0097768
2017-01-28 17:24 Andrey Zubarev Status resolved => closed